com.lowagie.text.xml.xmp

## Class XmpArray

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - com.lowagie.text.xml.xmp.XmpArray

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

      public class XmpArray
      extends java.util.ArrayList

  StringBuffer to construct an XMP array.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ALTERNATIVE` An array with alternatives.
    `static java.lang.String` | `ORDERED` An array that is ordered.
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `type` the type of array.
    `static java.lang.String` | `UNORDERED` An array that is unordered.

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmpArray(java.lang.String type)` Creates an XmpArray.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Returns the String representation of the XmpArray.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### UNORDERED

          public static final java.lang.String UNORDERED

      An array that is unordered.
      See Also:
        Constant Field Values

    - #### ORDERED

          public static final java.lang.String ORDERED

      An array that is ordered.
      See Also:
        Constant Field Values

    - #### ALTERNATIVE

          public static final java.lang.String ALTERNATIVE

      An array with alternatives.
      See Also:
        Constant Field Values

    - #### type

          protected java.lang.String type

      the type of array.

  - ### Constructor Detail

    - #### XmpArray

          public XmpArray(java.lang.String type)

      Creates an XmpArray.
      Parameters:
        `type` - the type of array: UNORDERED, ORDERED or ALTERNATIVE.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the String representation of the XmpArray.
      Overrides:
        `toString` in class `java.util.AbstractCollection`
      Returns:
        a String representation